INCLUDES = -I$(top_srcdir) $(all_includes)


lib_LTLIBRARIES = libkslox.la libtdeabc_slox.la libkcal_slox.la

libkslox_la_SOURCES = sloxaccounts.cpp webdavhandler.cpp \
                      sloxfolder.cpp sloxfoldermanager.cpp \
                      sloxfolderdialog.cpp sloxbase.cpp
libkslox_la_LDFLAGS = $(all_libraries)
libkslox_la_LIBADD  = $(top_builddir)/libkcal/libkcal.la \
                      $(top_builddir)/libtdepim/libtdepim.la

libkcal_slox_la_SOURCES = kcalresourceslox.cpp kcalresourcesloxconfig.cpp \
                          kcalsloxprefs.kcfgc
libkcal_slox_la_LDFLAGS = $(all_libraries)
libkcal_slox_la_LIBADD  = libkslox.la $(top_builddir)/libkcal/libkcal.la

libtdeabc_slox_la_SOURCES = tdeabcresourceslox.cpp tdeabcresourcesloxconfig.cpp \
                          tdeabcsloxprefs.kcfgc
libtdeabc_slox_la_LDFLAGS = $(all_libraries)
libtdeabc_slox_la_LIBADD  = libkslox.la  -ltdeabc


kde_module_LTLIBRARIES = kcal_slox.la tdeabc_slox.la

kcal_slox_la_SOURCES = kcalresourceslox_plugin.cpp
kcal_slox_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
kcal_slox_la_LIBADD  = libkcal_slox.la

tdeabc_slox_la_SOURCES = tdeabcresourceslox_plugin.cpp
tdeabc_slox_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
tdeabc_slox_la_LIBADD  = libtdeabc_slox.la


EXTRA_PROGRAMS = testsloxaccounts

testsloxaccounts_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
testsloxaccounts_LDADD = libkslox.la
testsloxaccounts_SOURCES = testsloxaccounts.cpp


kcal_servicedir = $(kde_servicesdir)/tderesources/kcal
kcal_service_DATA = kcal_slox.desktop kcal_ox.desktop

tdeabc_servicedir = $(kde_servicesdir)/tderesources/tdeabc
tdeabc_service_DATA = tdeabc_slox.desktop tdeabc_ox.desktop

METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/tdeabc_slox.pot
